// Scripted by Ice
using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class OakTreeAddon : BaseAddon
	{
		public override BaseAddonDeed Deed
		{
			get
			{
				return new OakTreeAddonDeed();
			}
		}

		[ Constructable ]
		public OakTreeAddon()
		{
			AddComponent( new AddonComponent( 3251 ), 1, 1, 0 );
			AddComponent( new AddonComponent( 3290 ), 0, 0, 0 );
			AddComponent( new AddonComponent( 3291 ), 0, 0, 0 );
			AddonComponent ac = null;

		}

		public OakTreeAddon( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}

	public class OakTreeAddonDeed : BaseAddonDeed
	{
		public override BaseAddon Addon
		{
			get
			{
				return new OakTreeAddon();
			}
		}

		[Constructable]
		public OakTreeAddonDeed()
		{
			Name = "OakTree";
		}

		public OakTreeAddonDeed( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( 0 ); // Version
		}

		public override void	Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}